version: '3'

services:
  app:
    image: registry.lesko.me/marek/centrum:latest
    depends_on:
      - db
    restart: unless-stopped
    ports:
      - "5000:5000"
    environment:
      - ASPNETCORE_ENVIRONMENT=Production
      - ConnectionStrings__DefaultConnection=Server=db,1433;Database=CentrumDb;User Id=sa;Password=$DB_PASSWORD;TrustServerCertificate=True;

  db:
    image: mcr.microsoft.com/mssql/server:2019-latest
    restart: unless-stopped
    ports:
      - "1433:1433"
    environment:
      SA_PASSWORD: $DB_PASSWORD
      ACCEPT_EULA: Y
